// ***************** (c) 2008 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : LED2
// BOARD    : ZL15AVR (with ATmega32 in socket U1)
// COMPILER : WinAVR 20080610
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple LEDs demonstration.
//
//    Settings and connections on ZL15AVR:
//        PA0 (con15) - LED0 (con9)
//        PA1 (con15) - LED1 (con9)
//        ...
//        PA7 (con15) - LED7 (con9)
//
//******************************************************************************
#include <avr/io.h>
#include <util/delay.h>
//-------------------------------------
// main program
//-------------------------------------
int main(void)
{
char i,temp;
DDRA = 0xFF; // Config PORTA as output
// Infinite loop
do{
PORTA = 1;
for(temp = 0; temp < 8; temp++)
  {
  for(i = 0; i < 20; i++) 	// Wait 200 miliseconds
    _delay_ms(10);			//
  PORTA <<= 1;				// Shift port value left
  }
}while(1);
return 0;
}
//-------------------------------------
// End of file
//-------------------------------------
